## org.apache.solr.client.solrj.impl
Class LBHttpSolrServer.Req

    java.lang.Object
      org.apache.solr.client.solrj.impl.LBHttpSolrServer.Req

Enclosing class:
  LBHttpSolrServer

    public static class LBHttpSolrServer.Req

extends Object

Field Summary
`protected int` `numDeadServersToTry`
`protected SolrRequest` `request`
`protected List<String>` `servers`

Constructor Summary
`LBHttpSolrServer.Req(SolrRequest request, List<String> servers)`

Method Summary
`int` `getNumDeadServersToTry()`
`SolrRequest` `getRequest()`
`List<String>` `getServers()`
`void` `setNumDeadServersToTry(int numDeadServersToTry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected SolrRequest request

### servers

    protected List<String> servers

### numDeadServersToTry

    protected int numDeadServersToTry

Constructor Detail

### LBHttpSolrServer.Req

    public LBHttpSolrServer.Req(SolrRequest request,
                                List<String> servers)

Method Detail

### getRequest

    public SolrRequest getRequest()

### getServers

    public List<String> getServers()

### getNumDeadServersToTry

    public int getNumDeadServersToTry()

  Returns:
    the number of dead servers to try if there are no live servers left

### setNumDeadServersToTry

    public void setNumDeadServersToTry(int numDeadServersToTry)

  Parameters:
    `numDeadServersToTry` - The number of dead servers to try if there are no live servers left. Defaults to the number of servers in this request.